#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    int x;
    cin>>x;
    double zarada, procenat;
    double pom=1;
    double rez=0;
    for(int i=0;i<x;i++)
    {
       cin>>zarada;
       cin>>procenat;

       if((rez*100/pom)*procenat/100 + zarada*procenat/100 > rez)
       {
           rez = (rez*100/pom)*procenat/100 + zarada*procenat/100;
           pom = procenat;
       }
    }
    cout<<setprecision(10) << rez;

    return 0;
}